Read a campaign: settings, steps, people, their current step and hold, last touches, linked leads
curl --request GET \
--url https://www.dench.com/api/v1/campaigns/{sequenceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/campaigns/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/campaigns/{sequenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sequence": {
"_id": "<string>",
"name": "<string>",
"status": "draft",
"stopOnReply": true,
"stepCount": 123,
"totalEnrolled": 123,
"activeCount": 123,
"pausedCount": 123,
"finishedCount": 123,
"repliedCount": 123,
"failedCount": 123,
"stoppedCount": 123,
"createdAt": 123,
"updatedAt": 123,
"emailMailboxAccountIds": [
"<string>"
],
"linkedinAccountIds": [
"<string>"
],
"timezone": "<string>",
"startsAt": 123,
"endsAt": 123,
"sendSchedules": [
{
"name": "<string>",
"timezone": "<string>",
"startHour": 11,
"endHour": 12,
"weekdays": [
3
]
}
],
"dailySendCap": 123,
"stepModel": "linear",
"launchedAt": 123,
"ownerName": "<string>",
"isOwner": true
},
"steps": [
{
"type": "wait",
"waitHours": 123,
"emailMailboxAccountId": "<string>",
"emailSubject": "<string>",
"emailHtmlBody": "<string>",
"emailTextBody": "<string>",
"emailReplyToPrevious": true,
"onlyIf": "always",
"linkedinAccountId": "<string>",
"linkedinMessageBody": "<string>",
"linkedinMessageMode": "skip_if_not_connected",
"connectionTimeoutHours": 1080.5,
"likeReaction": "like",
"likeMaxPostAgeDays": 183,
"likeSkipPreviousWait": true,
"likeSkipNextWait": true,
"likeCount": 2,
"inmailSubject": "<string>",
"withdrawAfterHours": 1164,
"key": "<string>",
"next": "<string>",
"yesNext": "<string>",
"noNext": "<string>",
"check": "linkedin_connected",
"conditionField": "<string>",
"conditionOperator": "is",
"conditionValue": "<string>"
}
],
"enrollments": [
{}
],
"currentRuns": {},
"lastTouches": {},
"connectedEntries": {},
"connectedFieldNames": [
"<string>"
],
"isOwner": true,
"references": [
{
"kind": "crm-entry",
"objectName": "<string>",
"entryId": "<string>",
"label": "<string>",
"href": "<string>",
"url": "<string>",
"imageUrl": "<string>",
"objectIcon": "<string>"
}
],
"referenceCoverage": {
"returned": 4503599627370495,
"available": 4503599627370495,
"truncated": true
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}campaigns
Read a campaign: settings, steps, people, their current step and hold, last touches, linked leads
Read a campaign: settings, steps, people, their current step and hold, last touches, linked leads.
GET
/
campaigns
/
{sequenceId}
Read a campaign: settings, steps, people, their current step and hold, last touches, linked leads
curl --request GET \
--url https://www.dench.com/api/v1/campaigns/{sequenceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/campaigns/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/campaigns/{sequenceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sequence": {
"_id": "<string>",
"name": "<string>",
"status": "draft",
"stopOnReply": true,
"stepCount": 123,
"totalEnrolled": 123,
"activeCount": 123,
"pausedCount": 123,
"finishedCount": 123,
"repliedCount": 123,
"failedCount": 123,
"stoppedCount": 123,
"createdAt": 123,
"updatedAt": 123,
"emailMailboxAccountIds": [
"<string>"
],
"linkedinAccountIds": [
"<string>"
],
"timezone": "<string>",
"startsAt": 123,
"endsAt": 123,
"sendSchedules": [
{
"name": "<string>",
"timezone": "<string>",
"startHour": 11,
"endHour": 12,
"weekdays": [
3
]
}
],
"dailySendCap": 123,
"stepModel": "linear",
"launchedAt": 123,
"ownerName": "<string>",
"isOwner": true
},
"steps": [
{
"type": "wait",
"waitHours": 123,
"emailMailboxAccountId": "<string>",
"emailSubject": "<string>",
"emailHtmlBody": "<string>",
"emailTextBody": "<string>",
"emailReplyToPrevious": true,
"onlyIf": "always",
"linkedinAccountId": "<string>",
"linkedinMessageBody": "<string>",
"linkedinMessageMode": "skip_if_not_connected",
"connectionTimeoutHours": 1080.5,
"likeReaction": "like",
"likeMaxPostAgeDays": 183,
"likeSkipPreviousWait": true,
"likeSkipNextWait": true,
"likeCount": 2,
"inmailSubject": "<string>",
"withdrawAfterHours": 1164,
"key": "<string>",
"next": "<string>",
"yesNext": "<string>",
"noNext": "<string>",
"check": "linkedin_connected",
"conditionField": "<string>",
"conditionOperator": "is",
"conditionValue": "<string>"
}
],
"enrollments": [
{}
],
"currentRuns": {},
"lastTouches": {},
"connectedEntries": {},
"connectedFieldNames": [
"<string>"
],
"isOwner": true,
"references": [
{
"kind": "crm-entry",
"objectName": "<string>",
"entryId": "<string>",
"label": "<string>",
"href": "<string>",
"url": "<string>",
"imageUrl": "<string>",
"objectIcon": "<string>"
}
],
"referenceCoverage": {
"returned": 4503599627370495,
"available": 4503599627370495,
"truncated": true
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Path Parameters
Response
object | null
Successful response
Show child attributes
Show child attributes
The steps in order, each with its _id. condition and wait_for_connection steps also carry a readable label.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
enrollmentId -> the step run in progress, its hold and LinkedIn action.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
enrollmentId -> linked CRM record and lead status.
Show child attributes
Show child attributes
Maximum array length:
100- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes